body {
    background-color: lightblue;
    margin: auto 0 auto auto;
    font-family: sans-serif;
    padding: 0;
}

.custom-menu {
    display: none;
    z-index: 1000;
    position: absolute;
    overflow: hidden;
    border: 1px solid #CCC;
    white-space: nowrap;
    font-family: sans-serif;
    background: white;
    color: #333;
    padding: 0;
}

.custom-menu li {
    padding: 8px 12px;
    cursor: pointer;
    list-style-type: none;
    transition: all .3s ease;
    user-select: none;
}

.custom-menu li:hover {
    background-color: cornflowerblue;
}

.summary {
    border: 1px solid black;
    background: white;
    padding-left: 10px;
    padding-right: 10px;
}

nav {
    position: relative;
    text-align: left;
    margin-left: 15%;
}

figcaption {
    position: relative;
    text-align: center;
}

main, footer {
    margin-left: 15%;
    margin-right: 15%;
}

#banner {
    position: sticky;
    top: 0px;
    left: 0%;
    right: 0%;
    width: 100%;
    height: 200px;
    z-index: -1;
}

#houseBanner, #locMap {
    position: relative;
    float: right;
    margin-right: 15%;
    width: 15%;
    border: solid;
}

#locMap {
    width: 20%;
}

#placeholder {
    float: left;
    width: 75%;
    height: 100%;
}

#overview {
    float: right;
    width: 25%;
    height: 50%
}

#houseBanner img, #locMap img {
    position: relative;
    width: 100%;
}

#worldMap {
    position: relative;
    float: right;
    margin-right: 25px;
    width: 40%;
}

#worldMap img {
    width: 100%;
}

#nameCol {
    width: 10%;
}

#titleCol {
    width: 35%;
}

#nickCol {
    width: 20%;
}

#marriedCol {
    width: auto;
}

#portraitCol {
    width: 20%;
}

#valid {
    float: right;
}

.graph {
    box-sizing: border-box;
    width: 900px;
    height: 500px;
    padding: 20px 15px 15px 15px;
    margin: 15px auto 30px auto;
    border: 1px solid #ddd;
    background: #fff;
    background: linear-gradient(#f6f6f6 0, #fff 50px);
    background: -o-linear-gradient(#f6f6f6 0, #fff 50px);
    background: -ms-linear-gradient(#f6f6f6 0, #fff 50px);
    background: -moz-linear-gradient(#f6f6f6 0, #fff 50px);
    background: -webkit-linear-gradient(#f6f6f6 0, #fff 50px);
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.15);
    -o-box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
    -ms-box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
}

.contents {
    position: relative;
    text-align: left;
    width: 15em;
    padding-left: 10px;
    border: solid;
    margin-left: 0%;
}

.contents a {
    text-decoration: none;
}

.contents a:hover {
    color: darkblue;
}

.portrait img {
    width: 100%;
}

.family table, th, td {
    border: 1px solid black;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-button {
    background-color: brown;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: lightcoral;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: rgb(238, 138, 138);
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover .dropdown-button {
    background-color: firebrick;
}

.menu-item {
    position: relative;
    display: inline-block;
    background-color: brown;
    color: white;
    font-size: 16px;
    border: none;
}

.menu-item a {
    padding: 16px 20px;
    color: white;
    text-decoration: none;
    display: block;
}

.menu-item a:hover {
    background-color: firebrick;
}